@import 'styles/sass/styles.scss';

.table-poker {
    &__loading {
        width: 200px;
        height: 80px;
        position: absolute;
        display: flex;
        flex-direction: column;

        &-heade {
            width: 100%;
            height: 60%;
            display: flex;
            align-items: center;
            justify-content: space-evenly;
        }

        &-footer {
            width: 100%;
            height: 40%;
            // display: flex;
            // justify-content: center;
            // align-items: center;

            &_title {
                font-family: Arial, Helvetica, sans-serif;
                font-style: normal;
                font-weight: 400;
                font-size: 14px;
                color: $txt-white;
                text-align: center;
            }
        }
    }

    &__item-load {
        width: 20px;
        height: 20px;
        border: 3px solid #6429CD;
        border-radius: 100%;
        transform: scale(0);
        animation: loading-votes 2.5s infinite ease-in-out;

        &:first-child {
            animation-delay: 0.2s;
        }

        &:nth-child(2) {
            animation-delay: 0.4s;
        }

        &:nth-child(3) {
            animation-delay: 0.6s;
        }

        &:nth-child(4) {
            animation-delay: 0.8s;
        }

        &:last-child {
            animation-delay: 1s;
        }
    }
}